﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CS_Vererbung_Interfaces.Teil4
{
    internal class Post
    {
        public string Title { get; private set; }
        public string Content { get; private set; }
        public List<string> Comments { get; private set; }

        public Post(string _title, string _content)
        {
            Title = _title;
            Content = _content;
            Comments = new List<string>();
        }

        public void Comment(IFollower _new)
        {
            Comments.Add(_new.Write());
        }
    }
}
