﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CS_Vererbung_Interfaces.Teil4;


namespace CS_Vererbung_Interfaces
{
    class Person:IOwner,IFollower
    {
        public string Name { get; private set; }
        public Person(string _name)
        {
            Name = _name; 
        }

        string IOwner.Write()
        {
            return "Post mit Inhalt geschrieben auf Seite";
        }

        string IFollower.Write()
        {
            return "Kommentar zu Beitrag von " + Name; 
        }
    }
    internal class Program
    {
        static void Main(string[] args)
        {
            Person ole = new Person("Ole");

            Page page = new Page();

            page.Create(ole);   //IOwner ole

            foreach(Post p in page.Posts)
            {
                Console.WriteLine(p.Title + "|" + p.Content);
            }

            Console.WriteLine("----");
            page.Posts[0].Comment(ole); //IFollower ole

            foreach(string commi in page.Posts[0].Comments)
            {
                Console.WriteLine(commi);
            }
        }
    }
}
